#+FILETAGS: @personal
:PROPERTIES:
:ID:       6380b5d1-8c4c-41ea-917a-c7473ba8a32f
:CREATED:  [2020-05-16 Sat 15:47]
:MODIFIED: [2021-04-17 Sat 19:07]
:IMPORTED: [2023-02-08 Wed 19:22]
:END:
#+title: Podcasts

Vape pens, hair growth serums, fixing the pineal gland & C60 (The next great longevity molecule)

Ben Greenfield interviews Dr David Sinclair about lifespan: Why we age--and why we do not have to

* Podcast

Long form 3 hour one-on-one in-depth discussions a la Joe Rogan

Informative tid bits

This podcast is brought to you by permaculture

This podcast is brought to you by the Debian operating system

Bitcoin


Multi-disciplinary social sciences podcast

History: Khaled Fahmy

Anthropology: Nancy Okail

Sociology

Law: Amr Shalakany

Political Science: Amr Hamzawy/Ezzedine Fischere

STS: Amr Gharbeia

Economics:

Archaeology

Human Geography

Linguistics

Management Science

Media Studies

Psychology

